[project]
name = "elironwars-python"
version = "0.0.0"
description = "Lovely Spam! Wonderful Spam!"
readme = "README.md"
keywords = []
requires-python = ">= 3.14"
dependencies = [
    "pydantic >= 2.13.4",
]
authors = [
    { name = "Raggaroth", email = "b.baudouin@pm.me" },
    { name = "Toucan", email = "anthony.melin@laposte.net" },
]
maintainers = [
    { name = "Raggaroth", email = "b.baudouin@pm.me" }
]

[project.urls]
Homepage = "https://gitea.raggaroth-factory.fr/public/elironwars-python"
Documentation = "https://gitea.raggaroth-factory.fr/public/elironwars-python/wiki"
Repository = "https://gitea.raggaroth-factory.fr/public/elironwars-python.git"
Issues = "https://gitea.raggaroth-factory.fr/public/elironwars-python/issues"
Changelog = "https://github.com/me/spam/blob/master/CHANGELOG.md"

[build-system]
requires = ["setuptools >= 77.0.3"]
build-backend = "setuptools.build_meta"

[project.scripts]
elironwars = "elironwars.app:app"

[project.entry-points."elironwars.ui"]
console = "elironwars.console:ConsoleUi"

[tool.isort]
profile = "black"
src_paths = ["src", "tests"]
known_first_party = ["elironwars"]

[tool.autopep8]
max_line_length = 120
in-place = true
recursive = true
